Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.exception
Class ItemInstantiateException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              de.jsystems.tools.exception.BaseException
                  de.jsystems.framework.common.exception.ItemInstantiateException

All Implemented Interfaces:
  Serializable

public class ItemInstantiateException
extends BaseException

Diese Exception wird ausgeloest, wenn beim erzeugen eines Items durch ein Model ein Fehler auftritt. Dieser wird seinen Grund meistens darin haben, dass das zu erzeugende Item nicht den Vereinbarungen fuer ein Item entspricht, das von einem Model erzeugt werden kann.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2003
Author:
  Jens Homm JSYSTEMS
See Also:
  `Item`, `BusinessModel.createNewItem()`, `BusinessModel.createNewItem(String)`, Serialized Form

Field Summary

Fields inherited from class de.jsystems.tools.exception.BaseException
`LEVEL_ERROR, LEVEL_FATAL, LEVEL_WARNING, LOG_ERROR, LOG_FATAL_ERROR, LOG_NONE, LOG_WARNING`

Fields inherited from class java.lang.Exception
``

Constructor Summary
`ItemInstantiateException(Exception baseException)` Erzeugt eine neue Exception, wobei die urspruenglich aufgetretene Exception, die zu dieser Exception gefuehrt hat, mit uebergeben wird.
`ItemInstantiateException(Exception baseException, String message)` Erzeugt eine neue Exception, wobei die urspruenglich aufgetretene Exception, die zu dieser Exception gefuehrt hat, mit uebergeben wird.

Methods inherited from class de.jsystems.tools.exception.BaseException
`getLevel, getOrigin, getOriginMessage, getSource, logException, logException, showMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ItemInstantiateException

    public ItemInstantiateException(Exception baseException)

  Erzeugt eine neue Exception, wobei die urspruenglich aufgetretene Exception, die zu dieser Exception gefuehrt hat, mit uebergeben wird.

Parameters:
  `baseException` - Die urspruenglich aufgetretene Exception.

### ItemInstantiateException

    public ItemInstantiateException(Exception baseException,
                                    String message)

  Erzeugt eine neue Exception, wobei die urspruenglich aufgetretene Exception, die zu dieser Exception gefuehrt hat, mit uebergeben wird. Zusaetzlich kann in dem String-Parameter eine weitere Beschreibung des Fehlers uebergeben werden.

Parameters:
  `baseException` - Die urspruenglich aufgetretene Exception.
  `message` - Eine genauere Beschreibung der Fehlerursache.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD